
Foreman - Feature #2080

RFE New features to foreman

12/31/2012 07:40 AM - Kiril  Nesenko

Status: Rejected   

Priority: Normal   

Assignee: Ohad Levy   

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. Ability to view the puppet class content/code from foreman UI.

2. If some hostgroup uses a puppet class with params and these params are not defined in the hostgroup, foreman should alert a

user that - need to add 'bla_bla_param' and 'qwe_qwe_qwe_param' to the hostgroup.

History

#1 - 12/31/2012 09:21 AM - Ohad Levy

Thanks...

Please create a ticket for every feature request, unless they  are related ;)

secondly, I think that what you ask as #2 is already done via Parameterized_class_support

#2 - 05/18/2017 10:06 AM - Anonymous

- Description updated

- Status changed from New to Rejected

1 is out of scope
https://projects.theforeman.org/issues/2
https://projects.theforeman.org/projects/foreman/wiki/Parameterized_class_support
